{config, lib, pkgs, ... }:

{
  config = {
    services.printing.enable = true;

    sound.enable = true;
    hardware.pulseaudio.enable = false;
    security.rtkit.enable = true;
    services.pipewire = {
      enable = true;
      alsa.enable = true;
      alsa.support32Bit = true;
      pulse.enable = true;

      # Enable audio interfaces renaming
      wireplumber.enable = true;
    };

    environment.systemPackages = with pkgs; [
      mpv
    ];

    services.openssh.extraConfig = ''
      X11Forwarding yes
    '';
  };
}